# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           kcometen4
Version:        1.0.7
Release:        alt1_5
Summary:        An OpenGL screensaver with exploding comets for KDE4
Group:          Toys
License:        GPLv2+
URL:            http://kde-apps.org/content/show.php?content=87586
Source0:        http://kde-apps.org/CONTENT/content-files/87586-%{name}-%{version}.tar.gz
BuildRequires: ctest cmake
BuildRequires:  qt4-devel
BuildRequires:  kde4base-workspace-devel
Source44: import.info

%description
KCometen4 is an OpenGL KDE screensaver. Inside a box is a nifty
light show that features lightning and exploding comets. It lets
you configure various effects like comet behavior, camera
movement, box face images, etc.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install

make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
install -p -D -m 644 src/%{name}.kss.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%files
%doc AUTHORS ChangeLog COPYING
%{_K4bindir}/%{name}.kss
%{_kde4_datadir}/kde4/apps/%{name}
%{_kde4_datadir}/kde4/services/ScreenSavers/%{name}.desktop
%{_mandir}/man1/%{name}.kss.1*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.7-alt1_5
- initial fc import

